﻿@charset "UTF-8";

body {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

body.loaded {
  height: auto;
  overflow-x: hidden;
  overflow-y: auto;
}

body .loading {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 12;
  transition: 0.5s ease-in-out;
  background: white;
  z-index: 50;
}
body .loading.active {
  display: block;
}
body .loading.loaded {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

body .loading-logo {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: 400px;
  height: 400px;
  background: url(../../../img/usr/brand/chantacharm/loading_logo.png) no-repeat center / 100%;
  animation-name: rotate;
  animation-duration: 1.5s;
  animation-iteration-count: 1;
}

div.container_ {
  opacity: 0;
  transition: .2s all;
}
div.container_.active {
  opacity: 1;
}

@keyframes rotate {
  0% {
    opacity: 0;
    transform: scale(1.5);
  }
  30% {
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@media screen and (max-width: 640px) {
  body .loading-logo {
    width: 60vw;
    max-width: 400px;
  }
}
